k=0; %to k αποτελει τον δεικτη του πινακα των χρονων t για να κανουμε την plot. 
for i=1000:100:10000
    k=k+1;
    x=randn(i,1); %πινακες x,y για την περιπτωση τον ελεγχο 1
    y=-ones(i,1)*sum(x)/i;
tic
%εδω γραφουμε καθε φορα τη συναρτηση που θελουμε να τρεξει με ορισματα x,y
t(k)=toc;
end
n=[1000:100:10000];
plot(n,t)
xlabel('size n')
ylabel('time')
title('input1_name_function') %εδω τοποθετουμε το ονομα της συναρτησης που
                             %χρησιμοποιουμε καθε φορα,ως τιτλο της
                             %γραφικης